Update a bill's account number
curl --request POST \
--url https://platform.spritz.finance/v1/bills/{billId}/account-number \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountNumber": "<string>"
}
'import requests
url = "https://platform.spritz.finance/v1/bills/{billId}/account-number"
payload = { "accountNumber": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountNumber: '<string>'})
};
fetch('https://platform.spritz.finance/v1/bills/{billId}/account-number', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payable": true,
"requirements": [
{
"type": "card_details",
"fields": [
"credit_card_number"
],
"reason": "This card is expired"
}
]
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true
}Bills
Update a bill's account number
Submits an Evervault-encrypted account number for a bill in the action_required state with an account_details requirement, then returns its updated payability and any remaining requirements.
POST
/
v1
/
bills
/
{billId}
/
account-number
Update a bill's account number
Authorizations
bearerAuthintegratorJwthmacAuth & integratorKey & timestamp
Cognito JWT token for regular user authentication
Path Parameters
The bill ID
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Evervault-encrypted account number (ev:... ciphertext). Raw account numbers are rejected.
Pattern:
^ev:⌘I